:root {
    --background-color: #fff;
    --background-color-alt: #fafafa;
    --font-color: black;
    --font-color-alt: white;
    --accent: #729acc;
    --header-color: #a5a5a5;
    
    --content-shadow: 0 10px 20px 0 rgba(236, 236, 236, 0.87);
    --project-shadow: 0 10px 20px 0 rgba(222, 222, 222, 0.86);
} 


* {
    color: var(--font-color);
    font-family: 'Quicksand', sans-serif;
    scrollbar-color: var(--accent) var(--background-color);
    /* scrollbar-width: thin; */
    scrollbar-width: none; /* hides the scrollbar, remove this line, if you prefer having one */
}

html {
    overflow-x: hidden;
    scroll-behavior: smooth; /* https://developer.mozilla.org/en-US/docs/Web/CSS/scroll-behavior */
    background-color: var(--background-color-alt);
}

p {
    font-size: 1.1em;
}

.left {
    float: left;
}

.right {
    float: right;
}

body {
    margin: 0;
    padding: 0;
}

.divider {
    clear: both;
    height: 50px;
}


#button {
    position: fixed;
    width: 50px;
    height: 50px;
    right: 25px;
    bottom: 25px;

    text-align: center;

    border-radius: 50%;
    background-color: var(--accent);
    display: block;
}

#button i {
    margin-top: 2px;
    display: block;
    color: var(--font-color-alt);
    font-size: 2.5em;
}

/* #region header */

.header {
    color: var(--font-color-alt);

    height: 100vh;
    width: 100vw;
    background-color: var(--background-color-alt);
    display: flex;
    align-items: center;
    justify-content: center;

    background: linear-gradient(to bottom right, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.95)), url('src/catto.webp');
    background-size: cover;
}

#headerwrapper {
    color: var(--font-color-alt);
    background-color: rgba(30, 30, 30, 0.8);
    box-shadow: 0 20px 30px 0 rgba(0, 0, 0, 0.86);
    padding: 30px;
    border-radius: 12px;
    display: flex;
    flex-wrap: wrap;
}

#headerRight a {
    color: var(--font-color-alt);
    text-decoration: none;
    font-weight: 500;
    filter: brightness(0.9);
}

a:hover, .project:hover, #icons i:hover {
    color: var(--accent) !important;
}

#headerRight {
    height: 15rem;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: space-between;
}

#headerRight h1 {
    color: var(--font-color-alt);
    margin: 0;
}

#headerRight p {
    font-size: larger;
}

#cutieImage {
    height: 15rem;
    margin-right: 3rem;
}

#icons {
    font-size: 2rem;
    text-align: right;
}

#icons i, #headerRight p a i {
    color: var(--font-color-alt);
}

/* #endregion header */

/* #region content */

.contentWrapper {
    background-color: var(--background-color-alt);
    width: 100vw;
    height: 5000px;
}

.content {
    margin-top: 50px;
    border-radius: 15px;

    background-color: var(--background-color);
    box-shadow: var(--content-shadow);
    padding: 50px;
    max-width: 920px;
    margin: auto;
}

.content h1 {
    margin-top: -1rem;
}

/* #endregion content*/

/* #region projects */

.projects {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.project {
    border-radius: 11px;
    width: 30%;
    background-color: var(--background-color-alt);
    box-shadow: var(--project-shadow);
    margin-top: 25px;

    cursor: pointer;
}

.project img {
    border-radius: 11px 11px 0 0;
}

.project span {
    display: block;
    text-align: center;
    font-weight: 500;
    margin: 5px;
    margin-bottom: 10px
}

/* #endregion projects */

@media only screen and (max-width: 760px) {
    .project {
        width: 48%;
    }
}

@media only screen and (max-width: 520px) {
    .project {
        width: 100%;
    }

    #headerRight {
        width: 80%;
        height: min-content;
    }

    #cutieImage {
        height: 15rem;
    }

    #headerwrapper {
        justify-content: center;
    }
}